Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

EOActionAssociation
EOActionCellAssociation
EOActionInsertionAssociation
EOAspectConnector
EOAssociation
EOColumnAssociation
EOComboBoxAssociation
EOControlAssociation
EODetailSelectionAssociation
EODisplayGroup
EOGenericControlAssociation
EOMasterCopyAssociation
EOMasterDetailAssociation
EOMasterPeerAssociation
EOMatrixAssociation
EOPickTextAssociation
EOPopUpAssociation
EORadioMatrixAssociation
EORecursiveBrowserAssociation
EOTableViewAssociation
EOTextAssociation

### Protocols

### Constants

### Functions

### Macros

### Types

### Variables

Up

# EOAssociation class documentation

### Authors

David Ayers (`ayers@fsfe.org`)

Date: Generated at 2026-02-03 22:13:20 +0000

Copyright: (C) 2004,2005 Free Software Foundation, Inc.

# Software documentation for the EOAssociation class

## EOAssociation : EODelayedObserver

> Declared in:
>   EOInterface/EOAssociation.h

> Conforms to:
>   NSCoding

Description forthcoming.

Instance Variables

### Method summary

- +aspectSignatures
- +aspects
- +associationClassesForObject:
- +associationClassesSuperseded
- +displayName
- +isUsableWithObject:
- +objectKeysTaken
- +primaryAspect
- -bindAspect:displayGroup:key:
- -breakConnection
- -canBindAspect:displayGroup:key:
- -copyMatchingBindingsFromAssociation:
- -displayGroupForAspect:
- -displayGroupKeyForAspect:
- -endEditing
- -establishConnection
- -initWithObject:
- -object
- -setValue:forAspect:
- -setValue:forAspect:atIndex:
- -shouldEndEditingForAspect:invalidInput:errorDescription:
- -shouldEndEditingForAspect:invalidInput:errorDescription:index:
- -subjectChanged
- -valueForAspect:
- -valueForAspect:atIndex:

### aspectSignatures

+ (NSArray*) aspectSignatures;
Description forthcoming.

### aspects

+ (NSArray*) aspects;
Description forthcoming.

### associationClassesForObject:

+ (NSArray*) associationClassesForObject: (id)object;
Description forthcoming.

### associationClassesSuperseded

+ (NSArray*) associationClassesSuperseded;
Description forthcoming.

### displayName

+ (NSString*) displayName;
Description forthcoming.

### isUsableWithObject:

+ (BOOL) isUsableWithObject: (id)object;
Description forthcoming.

### objectKeysTaken

+ (NSArray*) objectKeysTaken;
Description forthcoming.

### primaryAspect

+ (NSString*) primaryAspect;
Description forthcoming.

### bindAspect: displayGroup: key:

- (void) bindAspect: (NSString*)aspectName displayGroup: (EODisplayGroup*)displayGroup key: (NSString*)key;
Description forthcoming.

### breakConnection

- (void) breakConnection;
Description forthcoming.

### canBindAspect: displayGroup: key:

- (BOOL) canBindAspect: (NSString*)aspectName displayGroup: (EODisplayGroup*)displayGroup key: (NSString*)key;
Description forthcoming.

### copyMatchingBindingsFromAssociation:

- (void) copyMatchingBindingsFromAssociation: (EOAssociation*)association;
Description forthcoming.

### displayGroupForAspect:

- (EODisplayGroup*) displayGroupForAspect: (NSString*)aspectName;
Description forthcoming.

### displayGroupKeyForAspect:

- (NSString*) displayGroupKeyForAspect: (NSString*)aspectName;
Description forthcoming.

### endEditing

- (BOOL) endEditing;
Description forthcoming.

### establishConnection

- (void) establishConnection;
Description forthcoming.

### initWithObject:

- (id) initWithObject: (id)object;
Description forthcoming.

### object

- (id) object;
Description forthcoming.

### setValue: forAspect:

- (BOOL) setValue: (id)value forAspect: (NSString*)aspectName;
Description forthcoming.

### setValue: forAspect: atIndex:

- (BOOL) setValue: (id)value forAspect: (NSString*)aspectName atIndex: (unsigned int)index;
Description forthcoming.

### shouldEndEditingForAspect: invalidInput: errorDescription:

- (BOOL) shouldEndEditingForAspect: (NSString*)aspectName invalidInput: (NSString*)input errorDescription: (NSString*)description;
Description forthcoming.

### shouldEndEditingForAspect: invalidInput: errorDescription: index:

- (BOOL) shouldEndEditingForAspect: (NSString*)aspectName invalidInput: (NSString*)input errorDescription: (NSString*)description index: (unsigned int)index;
Description forthcoming.

### subjectChanged

- (void) subjectChanged;
Implemented by subclasses.

### valueForAspect:

- (id) valueForAspect: (NSString*)aspectName;
Description forthcoming.

### valueForAspect: atIndex:

- (id) valueForAspect: (NSString*)aspectName atIndex: (unsigned int)index;
Description forthcoming.

## Instance Variables for EOAssociation Class

### _object

@protected id _object;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up